## ros-melodic-chomp-motion-planner 1.0.7

=== debian/changelog ===
ros-melodic-chomp-motion-planner (1.0.7-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.3-1stretch) stretch; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.2-1stretch) stretch; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.8-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.7-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.6-1stretch) stretch; urgency=high

  * [fix] memory leak (ChompOptimizer)
  * [fix] Set last_state for active joints only (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove ChompParameters::getNonConstParams() (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.3-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.2-1stretch) stretch; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * Contributors: Adrian Zwiener, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.1-1stretch) stretch; urgency=high

  * [fix] for chomp fixed base joint bug (#870 <https://github.com/ros-planning/moveit/issues/870>)
  * [maintenance] MoveIt! tf2 migration (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mike Lautman, Xiaojian Ma


