=== debian/changelog ===
ros-melodic-chomp-motion-planner (1.0.11-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.10-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.9-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.8-1bionic) bionic; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.7-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.3-1bionic) bionic; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]   Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Max Krichenbauer, Robert Haschke, Sean Yen, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.2-1bionic) bionic; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-chomp-motion-planner (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.8-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.7-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.6-1bionic) bionic; urgency=high

  * [fix] memory leak (ChompOptimizer)
  * [fix] Set last_state for active joints only (#1222 <https://github.com/ros-planning/moveit/issues/1222>)
  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove ChompParameters::getNonConstParams() (#1196 <https://github.com/ros-planning/moveit/issues/1196>)
  * [maintenance] Code Cleanup (#1179 <https://github.com/ros-planning/moveit/issues/1179>)
  * Contributors: Dave Coleman, Michael Görner, Robert Haschke, Shingo Kitagawa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.3-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-chomp-motion-planner (0.10.2-1bionic) bionic; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [fix] changelogs: migration from tf -> tf2 only accidentally became part of 0.9.12's changelog
  * [capability] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)

