=== debian/control ===
Source: ros-melodic-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-moveit-core, ros-melodic-roscpp
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-melodic-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: chomp_motion_planner
